Bug 1297167 - Gnome-Color-Manger fails calibration with i1 Display Pro, Spyder 3 Pro and ColorMunki Display
Gnome-Color-Manger fails calibration with i1 Display Pro, Spyder 3 Pro and Co...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-color-manager (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-09 23:04 EST by ryeb
Modified: 2016-12-20 12:44 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:44:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of gnome-color-manager error (1.04 MB, image/png)
2016-01-09 23:04 EST, ryeb
no flags Details

  None (edit)
Description ryeb 2016-01-09 23:04:14 EST
Created attachment 1113226 [details]
Screenshot of gnome-color-manager error

Description of problem:
When attempting to calibrate my screen with an i1 Display Pro, Spyder 3 Pro or the ColorMunki Display calibration fails with message: 

“Calibration failed! An internal error occurred that could not be recovered. You can remove the calibration device.”

Version-Release number of selected component (if applicable):
gnome-color-manager   3.18.0-1.fc23

How reproducible:
Everytime

Steps to Reproduce:
1. Plugin an  i1 Display Pro, Spyder 3 Pro or the ColorMunki Display
2. Gnome-Color-Manager starts
3. Choose to calibrate screen
4. Answer all questions
5. Click the “Start” button when prompted
6. The error listed above appears

Actual results:
Taken back to gnome-color-manager without any calibration taking place

Expected results:
Calibrate monitor

Additional info:
I didn't have this error in Fedora 21. The same devices work with DispCalGUI.
The ColorHug doesn't fail, however produces a unusable red profile.  I ran into the same error on Ubuntu Gnome 15.10.
Comment 1 Yu-Hang Tang 2016-01-25 10:33:13 EST
I can confirm this problem with Spyder3Express.

Fedora 23
Kernel 4.2.8-300
GNOME 3.18.2
Comment 2 Hans 2016-03-12 06:54:13 EST
Same problem here with i1:
- Fedora 23
- Kernel 4.4.4
- Gnome 3.18.4
Comment 3 David Orman 2016-07-01 19:10:41 EDT
Same problem here with i1Display Pro and Fedora 24. Tried High and Medium quality with the same result.
Comment 4 ryeb 2016-07-01 22:52:49 EDT
Is there any thing I can do to add more information to this bug? I've tried to launch "gnome-color-manager" from terminal, but it's not the right command.

I really want this bug to be fixed.
Comment 5 Kjell Irgens 2016-07-05 15:40:16 EDT
The problem persists using Fedora 23, 4.5.7-300, Spyder 3 Express
Comment 6 Kjell Irgens 2016-07-05 15:50:51 EDT
I ran control center from the shell and got:

(gnome-control-center:13423): color-cc-panel-WARNING **: calibration failed with code 1: spotread timed out

(gnome-control-center:13423): color-cc-panel-WARNING **: failed to start calibrate: failed to calibrate
Comment 7 Kjell Irgens 2016-07-05 17:25:52 EDT
OK, found the problem.

colord has a 10 seconds timeout for spotread to finish.  This works OK for light colors, in which case it may finish in as little as 3 seconds.  But the darker the color is, the longer it takes to finish.  When measuring black, it takes around 25-30 seconds.

I have tried increasing the timeout to 60 seconds and it works fine.  I have made a pull request on github to rhughes@redhat.com.
Comment 8 Kjell Irgens 2016-07-05 17:33:15 EDT
https://github.com/hughsie/colord/pull/29
Comment 9 ryeb 2016-07-06 13:37:16 EDT
(In reply to Kjell Irgens from comment #8)
> https://github.com/hughsie/colord/pull/29

Awesome work Kjell!

Now that the commmit has been merged to master, does that mean there will be an update in the near future? Or do we need to wait until the next version of Gnome to be released?
Comment 10 Brian Morrison 2016-07-11 11:01:11 EDT
Having found this bug I decided to rebuild my colord package to test it myself.

I will report back if there are any further problems but it was fairly simple to edit the file, recreate the compressed tree and then rebuild.
Comment 11 Brian Morrison 2016-07-12 09:39:47 EDT
I can now get a calibration using a Color Munki Photo spectrometer, however the highest quality cal still fails whereas the low and medium quality cals complete.

I tried to report the bug but was told the server couldn't accept it as the backtrace was not valid.
Comment 12 Matteo Nobili 2016-08-01 10:25:44 EDT
Right the same issue here with i1 on a fully updated F24.
When will the update be released?
Tnx!
Comment 13 Phil Baker 2016-08-14 14:11:11 EDT
Same issue here with a fully up-to-date Fedora 24 x86_64, on a Thinkpad T560, using a ColorHUG.
Comment 14 ryeb 2016-09-13 21:24:12 EDT
This was fixed for me after I updated to Fedora 24 this weekend -using a i1 Display Pro! I ran both Medium and High settings successfully.

Oddly, it still fails with the Color Hug.

Can others try with an updated Fedora 24 install and let me know if it works for them too.
Comment 15 Matteo Nobili 2016-09-14 08:22:15 EDT
I have just updated Fedora 24, but the results it is the same.
Moreover I have tried to calibrate my monitor with DisplayCAL, but it fails to load the profile to the system; if I try to manual import the icc profile DisplayCAL created to gnome-color-manager it fails.
Comment 16 ryeb 2016-09-14 22:46:04 EDT
(In reply to Matteo Nobili from comment #15)
> I have just updated Fedora 24, but the results it is the same.
> Moreover I have tried to calibrate my monitor with DisplayCAL, but it fails
> to load the profile to the system; if I try to manual import the icc profile
> DisplayCAL created to gnome-color-manager it fails.

That's odd. You are using the i1 Display Pro correct?

I know the "fail to load error" that occurs during start up with DispCal. Have you tried filing a bug report?

As a work around, I used to calibrate with with DispCal, then remove it from my system. I would import the icc profile into Gnome Color Manager. That worked for me.
Comment 17 Fedora End Of Life 2016-11-24 09:49:12 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2016-12-20 12:44:55 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.